Bug 981065 - [abrt] mysql-workbench-5.2.47-2.fc18: mforms::gtk::UtilitiesImpl::run_cancelable_wait_message(std::string const&, std::string const&, boost::function<void ()> const&, boost::function<bool ()> const&): Process /usr/libexec/mysql-workbench-bin was ...
[abrt] mysql-workbench-5.2.47-2.fc18: mforms::gtk::UtilitiesImpl::run_cancela...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:d424c4d223fb953ce509dc6d81c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 18:39 EDT by Patrik Greco
Modified: 2014-02-05 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.12 KB, text/plain)
2013-07-03 18:39 EDT, Patrik Greco
no flags Details
File: cgroup (130 bytes, text/plain)
2013-07-03 18:39 EDT, Patrik Greco
no flags Details
File: core_backtrace (3.64 KB, text/plain)
2013-07-03 18:39 EDT, Patrik Greco
no flags Details
File: dso_list (19.06 KB, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details
File: environ (2.54 KB, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details
File: maps (94.68 KB, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details
File: open_fds (1.40 KB, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details
File: proc_pid_status (960 bytes, text/plain)
2013-07-03 18:40 EDT, Patrik Greco
no flags Details

  None (edit)
Description Patrik Greco 2013-07-03 18:39:48 EDT
Version-Release number of selected component:
mysql-workbench-5.2.47-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
crash_function: mforms::gtk::UtilitiesImpl::run_cancelable_wait_message(std::string const&, std::string const&, boost::function<void ()> const&, boost::function<bool ()> const&)
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 30 20:40:24 nocturnal abrt[9870]: Saved core dump of pid 3898 (/usr/libexec/mysql-workbench-bin) to /var/tmp/abrt/ccpp-2013-06-30-20:40:23-3898 (173191168 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mforms::gtk::UtilitiesImpl::run_cancelable_wait_message(std::string const&, std::string const&, boost::function<void ()> const&, boost::function<bool ()> const&) at gtk/src/lf_utilities.cpp:866
 #1 mforms::Utilities::run_cancelable_task(std::string const&, std::string const&, boost::function<void* ()> const&, boost::function<bool ()> const&, void*&) at utilities.cpp:235
 #2 wb::WBContextSQLIDE::create_connected_editor at sqlide/wb_context_sqlide.cpp:736
 #3 wb::WBContext::add_new_query_window at workbench/wb_context.cpp:3350
 #4 wb::WBContextUI::handle_home_action at workbench/wb_context_ui_home.cpp:926
 #5 wb::WBContextUI::home_action_callback at workbench/wb_context_ui_home.cpp:496
 #6 trigger_callback at workbench/home_screen.cpp:2380
 #7 wb::ActionLinkBox::mouse_double_click at workbench/home_screen.cpp:1439
 #8 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:515
 #9 (anonymous namespace)::Widget_signal_button_press_event_notify_callback at widget.cc:1230

Potential duplicate: bug 864243
Comment 1 Patrik Greco 2013-07-03 18:39:52 EDT
Created attachment 768502 [details]
File: backtrace
Comment 2 Patrik Greco 2013-07-03 18:39:55 EDT
Created attachment 768503 [details]
File: cgroup
Comment 3 Patrik Greco 2013-07-03 18:39:58 EDT
Created attachment 768504 [details]
File: core_backtrace
Comment 4 Patrik Greco 2013-07-03 18:40:01 EDT
Created attachment 768505 [details]
File: dso_list
Comment 5 Patrik Greco 2013-07-03 18:40:04 EDT
Created attachment 768506 [details]
File: environ
Comment 6 Patrik Greco 2013-07-03 18:40:06 EDT
Created attachment 768507 [details]
File: limits
Comment 7 Patrik Greco 2013-07-03 18:40:10 EDT
Created attachment 768508 [details]
File: maps
Comment 8 Patrik Greco 2013-07-03 18:40:16 EDT
Created attachment 768509 [details]
File: open_fds
Comment 9 Patrik Greco 2013-07-03 18:40:19 EDT
Created attachment 768510 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 09:14:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 17:03:36 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.